ATA_PORT_DISABLE(9)

NAME
ata_port_disable - Disable port.

SYNOPSIS

void ata_port_disable (struct ata_port * ap);

ARGUMENTS

ap  Port to be disabled.

DESCRIPTION

Modify ap data structure such that the system thinks that the entire port is disabled, and should never attempt to probe or communicate with devices on this port.

LOCKING

host_set lock, or some other form of serialization.

AUTHOR
Jeff Garzik.